Debian Bug report logs - #581315
genpower: FTBFS: syntax error at /usr/bin/dpkg-name line 189, near ");"

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 12 May 2010 08:45:01 UTC

Severity: serious

Tags: sid, squeeze

Merged with 581326, 581329

Found in version dpkg/1.15.6

Fixed in version dpkg/1.15.7.2

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Brian White <bcwhite@pobox.com>:
Bug#581315; Package src:genpower. (Wed, 12 May 2010 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Brian White <bcwhite@pobox.com>. (Wed, 12 May 2010 08:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: genpower: FTBFS: syntax error at /usr/bin/dpkg-name line 189, near ");"
Date: Wed, 12 May 2010 10:36:40 +0200
Source: genpower
Version: 1.0.5-2.3
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100511 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/build/user-genpower_1.0.5-2.3-amd64-6jTHcH/genpower-1.0.5'
> test -x genpowerd && install -m755 -oroot -groot genpowerd debian/tmp/sbin
> test -x genwrite  && install -m755 -oroot -groot genwrite  debian/tmp/sbin
> make[1]: [binstall] Error 1 (ignored)
> test -x gentest   && install -m755 -oroot -groot gentest   debian/tmp/sbin
> install -m755 -oroot -groot genpowerfail   debian/tmp/etc
> install -m644 -oroot -groot genpowerd.conf debian/tmp/etc
> install -m644 -oroot -groot genpowerd.8 debian/tmp/usr/share/man/man8
> make[1]: Leaving directory `/build/user-genpower_1.0.5-2.3-amd64-6jTHcH/genpower-1.0.5'
> :
> rm -f debian/tmp/etc/genpowerfail
> sed -e '/RCPOWERFAIL/d;s/UPSTYPE=.*/UPSTYPE=apc-pnp/' <genpowerd.conf >debian/tmp/etc/genpowerd.conf
> install -m 755 debian/genpower.rc  debian/tmp/etc/init.d/genpower
> install -m 755 debian/powerfail.rc debian/tmp/etc/init.d/powerfail
> cd debian/tmp/etc/init.d; ln -s genpower ups-monitor
> strip debian/tmp/sbin/* # debian/tmp/usr/sbin/*
> cp gentest.8 debian/tmp/usr/share/man/man8/
> cd debian/tmp/usr/share/man && gzip -9v */*;
> man8/genpowerd.8:	 51.7% -- replaced with man8/genpowerd.8.gz
> man8/gentest.8:	 52.6% -- replaced with man8/gentest.8.gz
> cd debian/tmp/usr/share/man/man8; ln -s genpowerd.8.gz genpower.8.gz
> :
> cp Change.Log					debian/tmp/usr/share/doc/genpower/changelog
> cp debian/changelog				debian/tmp/usr/share/doc/genpower/changelog.Debian
> cp README						debian/tmp/usr/share/doc/genpower/README
> cp genpower.docs				debian/tmp/usr/share/doc/genpower/
> cp -a cables					debian/tmp/usr/share/doc/genpower/
> find debian/tmp/ -name CVS | xargs -r rm -rf
> find debian/tmp/usr/share/doc/genpower -type f | xargs -r gzip -9v
> debian/tmp/usr/share/doc/genpower/cables/trust-energy:	 58.7% -- replaced with debian/tmp/usr/share/doc/genpower/cables/trust-energy.gz
> debian/tmp/usr/share/doc/genpower/cables/apc-new:	 58.9% -- replaced with debian/tmp/usr/share/doc/genpower/cables/apc-new.gz
> debian/tmp/usr/share/doc/genpower/cables/apc-pnp:	 65.2% -- replaced with debian/tmp/usr/share/doc/genpower/cables/apc-pnp.gz
> debian/tmp/usr/share/doc/genpower/genpower.docs:	 70.1% -- replaced with debian/tmp/usr/share/doc/genpower/genpower.docs.gz
> debian/tmp/usr/share/doc/genpower/README:	 53.1% -- replaced with debian/tmp/usr/share/doc/genpower/README.gz
> debian/tmp/usr/share/doc/genpower/changelog.Debian:	 65.9% -- replaced with debian/tmp/usr/share/doc/genpower/changelog.Debian.gz
> debian/tmp/usr/share/doc/genpower/changelog:	 50.0% -- replaced with debian/tmp/usr/share/doc/genpower/changelog.gz
> cp debian/copyright				debian/tmp/usr/share/doc/genpower
> :
> install -m 644 debian/conffiles	debian/tmp/DEBIAN
> install -m 755 debian/postinst	debian/tmp/DEBIAN
> install -m 755 debian/prerm		debian/tmp/DEBIAN
> install -m 755 debian/postrm	debian/tmp/DEBIAN
> :
> dpkg-shlibdeps debian/tmp/sbin/* # debian/tmp/usr/sbin/*
> dpkg-gencontrol -is -ip
> chown -R root.root	debian/tmp
> chmod -R go=rX		debian/tmp
> dpkg --build		debian/tmp
> dpkg-deb: warning: conffile '/etc/init.d/ups-monitor' is not a plain file
> dpkg-deb: warning: ignoring 1 warnings about the control file(s)
> 
> dpkg-deb: building package `genpower' in `debian/tmp.deb'.
> dpkg-name -o -s ..	debian/tmp.deb
> syntax error at /usr/bin/dpkg-name line 189, near ");"
> Execution of /usr/bin/dpkg-name aborted due to compilation errors.
> make: *** [binary-arch] Error 255

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/05/11/genpower_1.0.5-2.3_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Bug reassigned from package 'src:genpower' to 'dpkg-dev'. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions genpower/1.0.5-2.3. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions dpkg/1.15.6. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:11 GMT) Full text and rfc822 format available.

Forcibly Merged 581315 581326 581329. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 17 May 2010 11:00:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 17 May 2010 12:06:13 GMT) Full text and rfc822 format available.

Message sent on to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug#581315. (Mon, 17 May 2010 12:06:17 GMT) Full text and rfc822 format available.

Message #18 received at 581315-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 581315-submitter@bugs.debian.org
Subject: Bug#581315 marked as pending
Date: Mon, 17 May 2010 12:03:17 +0000
tag 581315 pending
thanks

Hello,

Bug #581315 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=85a55d8

---
commit 85a55d82432b8e035a7175f33b6e8c27366b9983
Author: Gerfried Fuchs <rhonda@debian.at>
Date:   Mon May 17 13:56:47 2010 +0200

    dpkg-name: fix syntax error
    
    There was a missing closing bracket.
    
    Regression introduced in 716362c59e531883304a211afa61660608c214b3.
    
    Signed-off-by: Raphaël Hertzog <hertzog@debian.org>

diff --git a/debian/changelog b/debian/changelog
index 6030a0a..c37f3c5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -31,6 +31,9 @@ dpkg (1.15.7.2) UNRELEASED; urgency=low
   * Fix dpkg --root by properly stripping again the root directory from the
     path of the maintainer script to execute. Closes: #580984
 
+  [ Gerfried Fuchs ]
+  * Fix syntax error in dpkg-name. Closes: #581315
+
  -- Raphaël Hertzog <hertzog@debian.org>  Fri, 23 Apr 2010 18:17:14 +0200
 
 dpkg (1.15.7.1) unstable; urgency=low




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Wed, 19 May 2010 06:51:42 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 19 May 2010 06:51:42 GMT) Full text and rfc822 format available.

Message #23 received at 581315-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 581315-close@bugs.debian.org
Subject: Bug#581315: fixed in dpkg 1.15.7.2
Date: Wed, 19 May 2010 06:47:20 +0000
Source: dpkg
Source-Version: 1.15.7.2

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.7.2_all.deb
  to main/d/dpkg/dpkg-dev_1.15.7.2_all.deb
dpkg_1.15.7.2.dsc
  to main/d/dpkg/dpkg_1.15.7.2.dsc
dpkg_1.15.7.2.tar.bz2
  to main/d/dpkg/dpkg_1.15.7.2.tar.bz2
dpkg_1.15.7.2_amd64.deb
  to main/d/dpkg/dpkg_1.15.7.2_amd64.deb
dselect_1.15.7.2_amd64.deb
  to main/d/dpkg/dselect_1.15.7.2_amd64.deb
libdpkg-dev_1.15.7.2_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.15.7.2_amd64.deb
libdpkg-perl_1.15.7.2_all.deb
  to main/d/dpkg/libdpkg-perl_1.15.7.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 581315@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 19 May 2010 07:57:14 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.15.7.2
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 568123 575158 575410 578002 578635 579722 579724 580774 580984 581315
Changes: 
 dpkg (1.15.7.2) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Update dpkg-buildflags to respect $XDG_CONFIG_HOME and to use
     $XDG_CONFIG_HOME/dpkg/buildflags.conf by default.
   * Update deb-substvars(5) to codify how variables containing multiple
     lines must be managed.
   * Fix boolean evaluation of Dpkg::Version so that version 0 evaluates to
     false and dpkg-shlibdeps can strip the minimal version specification.
     Closes: #579724
     Document this behaviour in the API and add non-regression test to ensure
     it's kept.
   * Let dpkg-buildflags error out when a required parameter is missing.
     Closes: #579722
   * Add Bug-Ubuntu field in DEP-3 template provided in the automatic header
     of patches in 3.0 (quilt) source packages. Thanks to Benjamin Drung
     <bdrung@ubuntu.com> for the patch. Closes: #578002
   * Update deb-override(5) by removing references to usage of sections
     to place the packages on the mirrors and by indicating that the Debian
     policy offers a list of allowed values for section and priority.
     Closes: #575410
   * Update reference to triggers.txt.gz in dpkg-trigger(1) and deb-triggers(5)
     to match the new location. Closes: #580774
   * Drop mention of PKG_CONFIG_LIBDIR in dpkg-buildpackage(1), the feature has
     been removed in 1.15.6.
   * Rename /usr/lib/dpkg/maintscript-helper into
     /usr/bin/dpkg-maintscript-helper, it is a public interface even if working
     around known limitations.
   * Add "supports" command to dpkg-maintscript-helper to ensure the wanted
     command is supported before calling it.
 .
   [ Guillem Jover ]
   * Add powerpcspe support to ostable and triplettable.
     Thanks to Sebastian Andrzej Siewior <sebastian@breakpoint.cc> and
     Kyle Moffett <Kyle.D.Moffett@boeing.com>. Closes: #568123, #575158
   * Fix dpkg --root by properly stripping again the root directory from the
     path of the maintainer script to execute. Closes: #580984
   * On Linux use sync() instead of an fsync() per file on deferred extraction,
     to workaround performance degradation on ext4. Closes: #578635
 .
   [ Gerfried Fuchs ]
   * Fix syntax error in dpkg-name. Closes: #581315
Checksums-Sha1: 
 420ab2514738462b7b10213a3de84dff13df4dd6 1221 dpkg_1.15.7.2.dsc
 50e0f02d136df495f28ab522c7afc79f1dc8126e 4921845 dpkg_1.15.7.2.tar.bz2
 f6b0eb3be544d0fabb54ce41843048c0645a77ae 377240 libdpkg-dev_1.15.7.2_amd64.deb
 c9df22429998e8b19e7d99674fce687df519d695 1918510 dpkg_1.15.7.2_amd64.deb
 b694bd54de2b8166c72e5820c744f7ca3111fd20 792554 dselect_1.15.7.2_amd64.deb
 515a0a45eb4bf1d2b4ecbc1fbb2fd5fd74dcc07c 407772 dpkg-dev_1.15.7.2_all.deb
 fb1db2c154d53dc896b665bf36200a634097bb47 582860 libdpkg-perl_1.15.7.2_all.deb
Checksums-Sha256: 
 6db728bc70b1e99732f8f7801ce5760b5fccb1143d90b8d863b1e99b87474aa7 1221 dpkg_1.15.7.2.dsc
 d3235cbcd5580c4b8d83b6dcf3ab71a076178bcca327c1339a1f95a8324103a5 4921845 dpkg_1.15.7.2.tar.bz2
 b635959be15b837a4e3ffddb61ef606e8ae523ea8f77a42dd3bcf856d892975d 377240 libdpkg-dev_1.15.7.2_amd64.deb
 eb4499b7d46a275f23307f2ac2100c8b635884be2ca58d7d5fe2afdaebb72e0b 1918510 dpkg_1.15.7.2_amd64.deb
 b38f2454ae934d7c35e9404686c02290b54b941556643fde465d41d22116c0e1 792554 dselect_1.15.7.2_amd64.deb
 889c3311165f370e1251b00fec283b94f73c09add812bd2e20756bf94e16a0f7 407772 dpkg-dev_1.15.7.2_all.deb
 4d08e26e78a64771c334623ced12a62e58ab36c9f811b68dfacfe64acbaaf7b4 582860 libdpkg-perl_1.15.7.2_all.deb
Files: 
 0153b46014452aad73a53e76698a19b1 1221 admin required dpkg_1.15.7.2.dsc
 bcd5c89035049352df03ebc75464e807 4921845 admin required dpkg_1.15.7.2.tar.bz2
 b3ecd33aa1fb9b2650fa5bc5ff16c5a7 377240 libdevel optional libdpkg-dev_1.15.7.2_amd64.deb
 44002bb70fda5c3275b6801f62a45664 1918510 admin required dpkg_1.15.7.2_amd64.deb
 0fb773d6db419958469662c075bd83fd 792554 admin optional dselect_1.15.7.2_amd64.deb
 efb65b21888ab7f4ca4bc4b1448c6d8e 407772 utils optional dpkg-dev_1.15.7.2_all.deb
 980504122618351c753737f4f1925bd2 582860 perl optional libdpkg-perl_1.15.7.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvzgfEACgkQuW9ciZ2SjJuSdgCg91mEwlOV6P6mWK8fjX/l4dxG
+fwAoPOGKwSe3i7GxFSFN5CvTusw1oy+
=vTo4
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Wed, 19 May 2010 06:51:43 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 19 May 2010 06:51:43 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Wed, 19 May 2010 06:51:44 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Wed, 19 May 2010 06:51:44 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Jun 2010 07:32:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:41:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.